#pragma once

#include "../component_physics.h"
#include "../component_sprite.h"
#include "../animation/component_animation_idle.h"

typedef struct ComponentActionAngle
{
	ECSComponent component;
} ComponentActionAngle;

void component_action_angle_tick(ComponentActionAngle* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_ANGLE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_angle_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_ANGLE,
	.size = sizeof(ComponentActionAngle)
};


