#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_physics.h"
#include "../stat/component_act_entity.h"

typedef struct ComponentActionDeleteOnTouchEntity
{
	ECSComponent component;
} ComponentActionDeleteOnTouchEntity;

void component_action_delete_on_touch_entity_init(ComponentActionDeleteOnTouchEntity* self, ECS* ecs, u32 touchID);
void component_action_delete_on_touch_entity_tick(ComponentActionDeleteOnTouchEntity* self, ECS* ecs);
void component_action_delete_on_touch_entity_add(ComponentActionDeleteOnTouchEntity* self, ECS* ecs);
void component_action_delete_on_touch_entity_delete(ComponentActionDeleteOnTouchEntity* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_DELETE_ON_TOUCH_ENTITY_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			(ECSFunction)component_action_delete_on_touch_entity_add,
			(ECSFunction)component_action_delete_on_touch_entity_delete,
			(ECSFunction)component_action_delete_on_touch_entity_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_DELETE_ON_TOUCH_ENTITY,
	.size = sizeof(ComponentActionDeleteOnTouchEntity)
};


