#pragma once

#include "ANIMATION_COMMON.h"
#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_sprite.h"

typedef struct ComponentAnimationCursor
{
	ECSComponent component;
} ComponentAnimationCursor;

void component_animation_cursor_tick(ComponentAnimationCursor* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ANIMATION_CURSOR_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_animation_cursor_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ANIMATION_CURSOR,
	.size = sizeof(ComponentAnimationCursor)
};
