#pragma once

#include "../../component/action/component_action_delete_on_touch_game_entity_type.h"
#include "../../component/animation/component_animation_rotate.h"
#include "../../component/component_physics.h"
#include "../../component/component_game_object.h"
#include "../../component/entity/component_enemy.h"
#include "../../component/stat/component_game_entity_type.h"
#include "../../ecs_component.h"

#define BEANIE_HEALTH 1
#define BEANIE_FRICTION 1
#define BEANIE_VELOCITY_MAX 10
#define BEANIE_IS_AFFECTED_BY_GRAVITY false
#define BEANIE_IS_BOUNCE false
#define BEANIE_IS_SOLID false
#define BEANIE_GOODIE_COUNT 1
#define BEANIE_ROTATION_SPEED 0.05
#define BEANIE_SPEED 10
#define BEANIE_LEVEL_VELOCITY_MULTIPLIER 1.5
#define BEANIE_HEIGHT 30

#define BEANIE_ACTION_DELETE_ON_TOUCH_GAME_ENTITY_TYPE GAME_ENTITY_PLAYER

static const ivec2 BEANIE_FRAME_SIZE = {512, 512};
static const ivec2 BEANIE_ATLAS_SIZE = {1, 1};
static const vec2 BEANIE_SIZE = {60.0f, 60.0f};
static const vec2 BEANIE_PHYSICS_SIZE = {30.0f, 10.0f};

void entity_beanie_init(ECS* ecs, u32 id, vec3 position, u32 targetID, u32 level);
