#pragma once

#include "../../ecs_component.h"
#include "../../component/entity/component_enemy.h"
#include "../../component/animation/component_animation_rotate.h"
#include "../../component/action/component_action_delete_on_touch_game_entity_type.h"
#include "../../component/stat/component_game_entity_type.h"

#define CHIP_SPEED 1
#define CHIP_HEALTH 1
#define CHIP_FRICTION 1
#define CHIP_VELOCITY_MAX 10
#define CHIP_IS_AFFECTED_BY_GRAVITY false
#define CHIP_IS_BOUNCE false
#define CHIP_IS_SOLID false
#define CHIP_GOODIE_COUNT 0
#define CHIP_ROTATION_SPEED 0.05

#define CHIP_ACTION_DELETE_ON_TOUCH_GAME_ENTITY_TYPE GAME_ENTITY_PLAYER

static const ivec2 CHIP_FRAME_SIZE = {512, 512};
static const ivec2 CHIP_ATLAS_SIZE = {1, 1};
static const vec2 CHIP_SIZE = {30.0f, 30.0f};
static const vec2 CHIP_PHYSICS_SIZE = {30.0f, 10.0f};

void entity_chip_init(ECS* ecs, u32 id, vec3 position, u32 sender);
