#include "entity_heart_display.h"

/* Initializes heart display. */
void
entity_heart_display_init(ECS* ecs, u32 id, u32 playerID)
{
	ComponentHUDDisplay* hudDisplay;

	hudDisplay = ecs_component_add(ecs, ECS_COMPONENT_HUD_DISPLAY, id);

	component_hud_display_init
	(
		hudDisplay,
		ecs,
		(f32*)ENTITY_HEART_DISPLAY_POSITION,
		playerID,
		HUD_DISPLAY_FORMAT_MULTIPLIER,
		ICON_HEART,
		ECS_COMPONENT_HEART
	);
}
