#include "entity_shop_item_upgrade_lifetime.h"

/* Initializes an shop item upgrade lifetime entity. */
void
entity_shop_item_upgrade_lifetime_init(ECS* ecs, u32 id, u32 affectedID, u32 affectedID2)
{
	ComponentShopItem* shopItem;

	shopItem = ecs_component_add(ecs, ECS_COMPONENT_SHOP_ITEM, id);

	component_shop_item_init
	(
		shopItem,
		SHOP_ITEM_UPGRADE_LIFETIME,
		ENTITY_SHOP_ITEM_UPGRADE_LIFETIME_PRICE,
		ENTITY_SHOP_ITEM_UPGRADE_LIFETIME_EXPONENT,
		affectedID,
		affectedID2
	);
}
