#include "entity_streak.h"

/* Initializes a streak entity. */
void
entity_streak_init(ECS* ecs, u32 id, vec3 position, vec2 size)
{
	ComponentSprite* sprite;

	sprite = ecs_component_add(ecs, ECS_COMPONENT_SPRITE, id);

	component_sprite_init
	(
		sprite,
		ecs->game->resources.textures[TEXTURE_STREAK],
		size,
		position
	);
}
