#pragma once

#define STRING_FILE_READ_OPEN "OPENED (READ): %s\n"
#define STRING_FILE_CLOSED "CLOSED: %s\n"
#define STRING_FILE_READ_SUCCESS "SUCCESS (READ): %s\n"
#define STRING_FILE_READ_ERROR "ERROR (READ): %s\n"
#define STRING_FILE_WRITE_OPEN "OPENED (WRITE): %s\n"
#define STRING_FILE_WRITE_ERROR "ERROR (WRITE): %s\n"
#define STRING_FILE_WRITE_SUCCESS "SUCCESS (WRITE): %s\n"
#define STRING_SDL2_VIDEO_ERROR "ERROR (SDL2 VIDEO): %s\n", SDL_GetError()
#define STRING_SDL2_VIDEO_INIT "INIT (SDL2 VIDEO)\n"
#define STRING_SDL2_TIMER_ERROR "ERROR (SDL2 TIMER): %s\n", SDL_GetError()
#define STRING_SDL2_TIMER_INIT "INIT (SDL2 TIMER)\n"
#define STRING_SDL_IMAGE_ERROR "ERROR (SDL_IMAGE): %s\n", IMG_GetError()
#define STRING_SDL_IMAGE_INIT "INIT (SDL2_IMAGE)\n"
#define STRING_SDL_IMAGE_SUCCESS "SUCCESS (SDL2_IMAGE): %s\n"
#define STRING_SDL_MIXER_ERROR "ERROR (SDL_MIXER): %s\n", Mix_GetError()
#define STRING_SDL_MIXER_INIT "INIT (SDL2_MIXER)\n"
#define STRING_SDL_TTF_ERROR "ERROR (SDL_TTF): %s\n", TTF_GetError()
#define STRING_SDL_TTF_INIT "INIT (SDL_TTF)\n"
#define STRING_SHADER_COMPILE_SUCCESS "SUCCESS (SHADER COMPILE): %i\n"
#define STRING_SHADER_COMPILE_ERROR "ERROR (SHADER COMPILE): %i, %s\n"
#define STRING_RESOURCE_INIT "INIT (RESOURCE): %s\n"
#define STRING_RESOURCE_ERROR "ERROR (RESOURCE): %s\n"
#define STRING_RESOURCE_FREE "FREE (RESOURCE): %s\n"
#define STRING_RESOURCE_SHADER_INIT "INIT (SHADER RESOURCE): %s & %s\n"
#define STRING_RESOURCE_SHADER_ERROR "ERROR (SHADER RESOURCE): %s & %s \n"
#define STRING_RESOURCE_SHADER_FREE "FREE (SHADER RESOURCE): %s & %s \n"
#define STRING_SDL2_QUIT "QUIT (SDL2)\n"
#define STRING_GLEW_INIT "INIT (GLEW)\n"

#define STRING_WINDOW_TITLE "Calamity Cobra in 'A Sweeter Reprise'"

#define STRING_TUTORIAL_TEXT "The Dessert Elemental is restless, and won't be calmed unless she's gotten her fill of goodies! Slaughter foes that come your way with your trusty Snekgun. Fire using left mouse button/space, use right mouse button/R to redirect snakes for additional damage, lock snakes in place with Q and aim them with your mouse for a damage multiplier, and recall all airborne snakes with TAB. You can collect goodies with your snakes, too!\n" \
"\n" \
"The Sweet Heart she left beats fervently...if you give it a squeeze with the H key, you will gain a goodie multiplier. The more times you push its limits, the better! The next wave of enemies will come right after, though, and the enemies will be more aggressive...so use with great caution!\n" \
"\n" \
"You don't have much time to satisfy the Dessert Elemental...make this quick! Approach her to exchange goodies for upgrades, to restore your health, or to feed her.\n" \
"\n" \
"Good luck!\n"

#define STRING_GAME_OVER_TITLE_TEXT "GAME OVER\n"
#define STRING_GAME_OVER_TEXT "The bounty on Calamity Cobra's head remains forever uncollected...\n"
#define STRING_RESULTS_TEXT "Congratulations on satisfying the Dessert Elemental! I would've given you a medal and told you your completion time, but I'm tired...\n"
#define STRING_TITLE_CREDITS_TEXT "WeightGaming Gain Jam 2023\nArt, Programming & Sounds: ShweetMagnet\nMusic: Nebby\nSoftware licensed under GPLv3; art licensed under CC0.\n"
