#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_physics.h"
#include "component_action_gripped.h"

typedef struct ComponentActionGrip
{
	ECSComponent component;
	bool isGripping;
} ComponentActionGrip;

void component_action_grip_tick(ComponentActionGrip* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_GRIP_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_grip_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_GRIP,
	.size = sizeof(ComponentActionGrip)
};


