#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../stat/component_goodies.h"
#include "../stat/component_act_entity.h"
#include "../component_physics.h"

typedef struct ComponentActionOnTouchGiveGoodies
{
	ECSComponent component;
	u32 value;
	bool isGivenGoodies;
} ComponentActionOnTouchGiveGoodies;

void component_action_on_touch_give_goodies_init(ComponentActionOnTouchGiveGoodies* self, u32 value);
void component_action_on_touch_give_goodies_tick(ComponentActionOnTouchGiveGoodies* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_ON_TOUCH_GIVE_GOODIES_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL,
			(ECSFunction)component_action_on_touch_give_goodies_tick, 
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_ON_TOUCH_GIVE_GOODIES,
	.size = sizeof(ComponentActionOnTouchGiveGoodies)
};


