#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../../../input/input.h"

#include "../component_sprite.h"

typedef struct ComponentActionPointToMouse
{
	ECSComponent component;
} ComponentActionPointToMouse;

void component_action_point_to_mouse_tick(ComponentActionPointToMouse* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_POINT_TO_MOUSE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_point_to_mouse_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_POINT_TO_MOUSE,
	.size = sizeof(ComponentActionPointToMouse)
};
