#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_sprite.h"

typedef struct ComponentBehaviorFaceTarget
{
	ECSComponent component;
	u32 targetID;
} ComponentBehaviorFaceTarget;

void component_behavior_face_target_init(ComponentBehaviorFaceTarget* self, u32 targetID);
void component_behavior_face_target_tick(ComponentBehaviorFaceTarget* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_BEHAVIOR_FACE_TARGET_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_behavior_face_target_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_BEHAVIOR_FACE_TARGET,
	.size = sizeof(ComponentBehaviorFaceTarget)
};


