#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../../../input/input.h"

#include "../component_physics.h"

typedef struct ComponentControlAim
{
	ECSComponent component;
} ComponentControlAim;

void component_control_aim_tick(ComponentControlAim* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_CONTROL_AIM_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_control_aim_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_CONTROL_AIM,
	.size = sizeof(ComponentControlAim)
};
