#include "entity_goodie_display.h"

/* Initializes goodie display. */
void
entity_goodie_display_init(ECS* ecs, u32 id, u32 playerID)
{
	ComponentHUDDisplay* hudDisplay;

	hudDisplay = ecs_component_add(ecs, ECS_COMPONENT_HUD_DISPLAY, id);

	component_hud_display_init
	(
		hudDisplay,
		ecs,
		(f32*)ENTITY_GOODIE_DISPLAY_POSITION,
		playerID,
		HUD_DISPLAY_FORMAT_VALUE,
		ICON_GOODIES,
		ECS_COMPONENT_GOODIES
	);
}
